#include <u.h>
#include <libc.h>
#include "memlist.h"
#include "vm.h"

void
main(void)
{
	/* setup */
	allocmemblock();
	print("alloc'd mem buffer:\n");
	printmemptrs();
	print("loading mem list:\n");
	loadmemlist("assets/MEMLIST.BIN");

	initvm();

	/* run */
	print("\nrunning!\n\n");

	/* teardown */
	freememblock();
	print("freed mem buffer:\n");
	printmemptrs();

	exits(nil);
}
